FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 08-31-2011, 12:37 AM
Todd Pytel
 
Default Sun Java plugin invalid in Iceweasel? (sid)

After doing a rather lengthy sid upgrade (it's been a few months, at
least), my Sun java plugin is no longer working in Iceweasel.
Alternatives is set correctly and Iceweasel sees the plugin, but it's
marked INVALID in pluginreg.dat and never loads. I Googled around a bit
and it seems like Firefox 6 and the v6u26 Sun Java package are supposed
to work OK, but it's hard to tell for sure given the many platform and
distribution differences. Any ideas? If this is just the current state
of affairs on Sid, is there another Java plugin that's functional? I
tried the icedtea one, but it seemed to have a dependency issue with
xulrunner that prevented installation.

Thanks for any help you can provide.

--Todd

Machine: Sid, i686
Iceweasel: 6.0-4
Sun Java: 6.26-3


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 1314751036.20308.11.camel@timaeus.sophrosune.org"> http://lists.debian.org/1314751036.20308.11.camel@timaeus.sophrosune.org
 
Old 08-31-2011, 01:07 AM
Javier Vasquez
 
Default Sun Java plugin invalid in Iceweasel? (sid)

On Tue, Aug 30, 2011 at 6:37 PM, Todd Pytel <tppytel@sophrosune.org> wrote:
> ... is there another Java plugin that's functional? I
> tried the icedtea one, but it seemed to have a dependency issue with
> xulrunner that prevented installation.
>
> ...
>
> --Todd

Well, for me the next combination of packages just works well (at some
point in the past I needed to add experimental to have the latest
combination of packages). This is openjdk + icedtea:


% aptitude show icedtea-plugin
Package: icedtea-plugin
...
Version: 1.1-1
...
Depends: openjdk-6-jre, icedtea-netx (= 1.1-1), xulrunner-1.9.1,
libatk1.0-0 (>= 1.12.4), libc6 (>= 2.4), libcairo2 (>= 1.2.4),
libfontconfig1 (>= 2.8.0),
libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.1.1),
libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.16.0), libgtk2.0-0
(>= 2.8.0), libnspr4-0d (>=
1.8.0.10), libpango1.0-0 (>= 1.14.0), libstdc++6 (>= 4.6)
...
Homepage: http://icedtea.classpath.org/wiki/IcedTea-Web

% aptitude show openjdk-6-jre
Package: openjdk-6-jre
...
Version: 6b23~pre8-1
...
Depends: openjdk-6-jre-headless (>= 6b23~pre8-1), libasound2 (>
1.0.24.1), libc6 (>= 2.4), libgif4 (>= 4.1.4), libjpeg62 (>= 6b1),
libpng12-0 (>= 1.2.13-4),
libpulse0 (>= 0.9.23), libx11-6, libxext6, libxi6,
libxrender1, libxtst6, zlib1g (>= 1:1.1.4), libaccess-bridge-java-jni
...
Homepage: http://openjdk.java.net/

% aptitude show xulrunner-1.9.1
Package: xulrunner-1.9.1
...
Version: 1.9.1.19-3
...
Depends: libasound2 (> 1.0.18), libatk1.0-0 (>= 1.12.4), libbz2-1.0,
libc6 (>= 2.4), libcairo2 (>= 1.8.8), libdbus-1-3 (>= 1.0.2),
libfontconfig1 (>= 2.8.0),
libfreetype6 (>= 2.2.1), libgcc1 (>= 1:4.3),
libgdk-pixbuf2.0-0 (>= 2.22.0), libglib2.0-0 (>= 2.24.0), libgtk2.0-0
(>= 2.24.0), libhunspell-1.2-0 (>=
1.2.11), libjpeg62 (>= 6b1), libmozjs2d (= 1.9.1.19-3),
libnspr4-0d (> 4.7.1-1), libnss3-1d (>= 3.12.6), libpango1.0-0 (>=
1.14.0), libpng12-0 (>=
1.2.13-4), libreadline6 (>= 6.0), libsqlite3-0 (>= 3.6.0),
libstartup-notification0 (>= 0.8), libstdc++6 (>= 4.1.1), libx11-6,
libxrender1, libxt6,
zlib1g (>= 1:1.1.4)
...
Homepage: http://developer.mozilla.org/en/docs/XULRunner

% aptitude show xulrunner-6.0
Package: xulrunner-6.0
...
Version: 6.0-4
...
Depends: libasound2 (> 1.0.24.1), libatk1.0-0 (>= 1.12.4), libbz2-1.0,
libc6 (>= 2.4), libcairo2 (>= 1.10.2-2~), libdbus-1-3 (>= 1.0.2),
libevent-1.4-2 (>=
1.4.13-stable), libfontconfig1 (>= 2.8.0), libfreetype6 (>=
2.2.1), libgcc1 (>= 1:4.3), libgdk-pixbuf2.0-0 (>= 2.22.0),
libglib2.0-0 (>= 2.24.0),
libgtk2.0-0 (>= 2.24.0), libhunspell-1.2-0 (>= 1.2.11),
libjpeg8 (>= 8c), libmozjs6d (= 6.0-4), libnspr4-0d (> 4.7.1-1),
libnss3-1d (>= 3.12.10),
libpango1.0-0 (>= 1.14.0), libpixman-1-0 (>= 0.11.2),
libreadline6 (>= 6.0), libsqlite3-0 (>= 3.7.4),
libstartup-notification0 (>= 0.8), libstdc++6
(>= 4.6), libvpx0 (>= 0.9.0), libx11-6, libxext6,
libxrender1, libxt6, zlib1g (>= 1:1.1.4)
...
Homepage: http://developer.mozilla.org/en/docs/XULRunner

% aptitude show iceweasel
Package: iceweasel
...
Version: 6.0-4
...
Depends: libc6 (>= 2.4), libgcc1 (>= 1:4.1.1), libgdk-pixbuf2.0-0 (>=
2.22.0), libglib2.0-0 (>= 2.16.0), libgtk2.0-0 (>= 2.10), libnspr4-0d
(>= 1.8.0.10),
libstdc++6 (>= 4.1.1), fontconfig, procps, debianutils (>=
1.16), xulrunner-6.0 (>= 6.0-4)
...


% aptitude search '~i' | 'grep' openjdk
i openjdk-6-jdk - OpenJDK Development Kit (JDK)
i A openjdk-6-jre - OpenJDK Java runtime, using Hotspot Zero
i A openjdk-6-jre-headless - OpenJDK Java runtime, using Hotspot Zero (
i openjdk-6-jre-lib - OpenJDK Java runtime (architecture indepen

% aptitude search '~i' | 'grep' icedtea
i A icedtea-netx - NetX - implementation of the Java Network
i icedtea-plugin - web browser plugin based on OpenJDK and Ic

% aptitude search '~i' | 'grep' xulrunner
i A xulrunner-1.9.1 - XUL + XPCOM application runner
i A xulrunner-6.0 - XUL + XPCOM application runner

% aptitude search '~i' | 'grep' iceweasel
i iceweasel - Web browser based on Firefox
i iceweasel-l10n-en-us - English (US) language package for Icewease
i iceweasel-l10n-es-es - Spanish (Spain) language package for Icewe



--
Javier.


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: CALUrRGdeou-g7Nx3+wQ7zcENbKFSyMP8H8hVzciUPaEOKe1Oxg@mail.gmail .com">http://lists.debian.org/CALUrRGdeou-g7Nx3+wQ7zcENbKFSyMP8H8hVzciUPaEOKe1Oxg@mail.gmail .com
 
Old 08-31-2011, 01:10 AM
Todd Pytel
 
Default Sun Java plugin invalid in Iceweasel? (sid)

On Tue, 2011-08-30 at 19:07 -0600, Javier Vasquez wrote:
> Well, for me the next combination of packages just works well (at some
> point in the past I needed to add experimental to have the latest
> combination of packages). This is openjdk + icedtea:

How are you running two different versions of xulrunner at once? icedtea
wants 1.9 and Iceweasel wants 6.0.

--Todd


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 1314753029.20308.16.camel@timaeus.sophrosune.org"> http://lists.debian.org/1314753029.20308.16.camel@timaeus.sophrosune.org
 
Old 08-31-2011, 01:21 AM
Javier Vasquez
 
Default Sun Java plugin invalid in Iceweasel? (sid)

On Tue, Aug 30, 2011 at 7:10 PM, Todd Pytel <tppytel@sophrosune.org> wrote:
> On Tue, 2011-08-30 at 19:07 -0600, Javier Vasquez wrote:
>> Well, for me the next combination of packages just works well (at some
>> point in the past I needed to add experimental to have the latest
>> combination of packages). *This is openjdk + icedtea:
>
> How are you running two different versions of xulrunner at once? icedtea
> wants 1.9 and Iceweasel wants 6.0.
>
> --Todd

Xulrunner is just an engine, and two of them (different versions) can
coexist with no problem (at least in all systems I've tried, x86-64,
x86-32 and mipsel). Iceweasel 6.0 will use xulrunner 6.0, while
icedtea will use 1.9...

I'm not sure if this is expected to be like this, or if it was enabled
in purpose to support iceweasel 4 and then 5 and 6...

Please notice these combinations require experimental besides
unstable, :-) And to make the dependency handling easier, I just use
aptitude in ncurses mode, since safe or full upgrades will mislead...

Thanks,

--
Javier.


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: CALUrRGcZSr2Ru5QAQB=xQQxsAFf8m4DBgXan9UWYdwgXn=K0R A@mail.gmail.com">http://lists.debian.org/CALUrRGcZSr2Ru5QAQB=xQQxsAFf8m4DBgXan9UWYdwgXn=K0R A@mail.gmail.com
 
Old 08-31-2011, 02:20 AM
Todd Pytel
 
Default Sun Java plugin invalid in Iceweasel? (sid)

On Tue, 2011-08-30 at 19:21 -0600, Javier Vasquez wrote:
> Please notice these combinations require experimental besides
> unstable, :-) And to make the dependency handling easier, I just use
> aptitude in ncurses mode, since safe or full upgrades will mislead...

I always use aptitude anyway, but your combination doesn't seem to be
installable right now. I downloaded the squeeze version of xulrunner-1.9
and that installed OK after including the old libmozjs2d. But then the
openjdk JRE is looking for a newer icedtea-netx than is available
anywhere. I forced it all in anyway and got Iceweasel to recognize the
plugin, but then it doesn't actually work anywhere.

I'm going to say this route leads to way too much package breakage for
me to pursue any further at the moment. Hopefully there's a way to get
the Sun version working properly.

--Todd


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 1314757210.20308.21.camel@timaeus.sophrosune.org"> http://lists.debian.org/1314757210.20308.21.camel@timaeus.sophrosune.org
 
Old 08-31-2011, 02:34 AM
Javier Vasquez
 
Default Sun Java plugin invalid in Iceweasel? (sid)

On Tue, Aug 30, 2011 at 8:20 PM, Todd Pytel <tppytel@sophrosune.org> wrote:
> On Tue, 2011-08-30 at 19:21 -0600, Javier Vasquez wrote:
>> Please notice these combinations require experimental besides
>> unstable, :-) *And to make the dependency handling easier, I just use
>> aptitude in ncurses mode, since safe or full upgrades will mislead...
>
> I always use aptitude anyway, but your combination doesn't seem to be
> installable right now. I downloaded the squeeze version of xulrunner-1.9
> and that installed OK after including the old libmozjs2d. But then the
> openjdk JRE is looking for a newer icedtea-netx than is available
> anywhere. I forced it all in anyway and got Iceweasel to recognize the
> plugin, but then it doesn't actually work anywhere.
>
> I'm going to say this route leads to way too much package breakage for
> me to pursue any further at the moment. Hopefully there's a way to get
> the Sun version working properly.
>
> --Todd

Perhaps for later:

% ls /etc/apt/sources.list.d/
google.list google-talkplugin.list multimedia-unstable.list
official-experimental.list official-unstable.list

% cat /etc/apt/sources.list.d/*
deb http://dl.google.com/linux/deb stable main contrib non-free
deb http://dl.google.com/linux/talkplugin/deb stable main
deb http://www.debian-multimedia.org unstable main non-free
deb http://http.us.debian.org/debian experimental main contrib non-free
deb http://ftp.us.debian.org/debian experimental main contrib non-free
deb http://http.us.debian.org/debian unstable main contrib non-free

Sorry it didn't help, yeap I know there are some dependencies to
handle... BTW, the http experimental and the ftp experimental repos
are not always in sync (most of the time I see packages in ftp not in
http)...

--
Javier.


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: CALUrRGdtf9_oVGPV88R4rOi6P6VA45PA0p+QtmY3pmyrWpmTs Q@mail.gmail.com">http://lists.debian.org/CALUrRGdtf9_oVGPV88R4rOi6P6VA45PA0p+QtmY3pmyrWpmTs Q@mail.gmail.com
 
Old 08-31-2011, 02:52 AM
Todd Pytel
 
Default Sun Java plugin invalid in Iceweasel? (sid)

On Tue, 2011-08-30 at 19:37 -0500, Todd Pytel wrote:
> After doing a rather lengthy sid upgrade (it's been a few months, at
> least), my Sun java plugin is no longer working in Iceweasel.

Aha... not so tricky after all. The problem is that the alternatives
system still points to the old plugin location at

/usr/lib/jvm/java-6-sun/jre/plugin/i386/ns7libjavaplugin_oji.so

instead of the new one at

/usr/lib/jvm/java-6-sun/jre/lib/i386/libnpjp2.so

Both files are present, but only the new style one works. I'm sure
someone better acquainted with Java can tell me why there's a
difference. In any event, I just bypassed alternatives by symlinking to
the correct file in ~/.mozilla/plugins. Presumably this will be fixed at
some point. If someone can confirm that I'm understanding the basic
situation correctly, I can file the bug report.

--Todd


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 1314759157.20308.26.camel@timaeus.sophrosune.org"> http://lists.debian.org/1314759157.20308.26.camel@timaeus.sophrosune.org
 
Old 08-31-2011, 07:38 AM
"tv.debian@googlemail.com"
 
Default Sun Java plugin invalid in Iceweasel? (sid)

31/08/2011 02:37, Todd Pytel wrote:
> After doing a rather lengthy sid upgrade (it's been a few months, at
> least), my Sun java plugin is no longer working in Iceweasel.
> Alternatives is set correctly and Iceweasel sees the plugin, but it's
> marked INVALID in pluginreg.dat and never loads. I Googled around a bit
> and it seems like Firefox 6 and the v6u26 Sun Java package are supposed
> to work OK, but it's hard to tell for sure given the many platform and
> distribution differences. Any ideas? If this is just the current state
> of affairs on Sid, is there another Java plugin that's functional? I
> tried the icedtea one, but it seemed to have a dependency issue with
> xulrunner that prevented installation.
>
> Thanks for any help you can provide.
>
> --Todd
>
> Machine: Sid, i686
> Iceweasel: 6.0-4
> Sun Java: 6.26-3
>
>

Hi, see #636514 regarding the icedtea-plugin dependency problem (with
xulrunner), it's a nice piece of a bug report :-/ .

Regarding sun-java6-plugin I don't know, but Oracle is forbidding
redistribution of his java soon [1], so better fix icedtea anyway.

[1]http://www.h-online.com/open/news/item/Oracle-retires-licence-for-distributing-its-Java-with-Linux-1332835.html


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4E5DE4E2.3000702@googlemail.com">http://lists.debian.org/4E5DE4E2.3000702@googlemail.com
 

Thread Tools




All times are GMT. The time now is 08:19 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org